<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsuranceBooking StructType
 * @subpackage Structs
 */
class InsuranceBooking extends AbstractStructBase
{
    /**
     * The InsuranceBookingRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceBooking
     */
    public $InsuranceBookingRQ;
    /**
     * Constructor method for InsuranceBooking
     * @uses InsuranceBooking::setInsuranceBookingRQ()
     * @param \StructType\JP_InsuranceBooking $insuranceBookingRQ
     */
    public function __construct(\StructType\JP_InsuranceBooking $insuranceBookingRQ = null)
    {
        $this
            ->setInsuranceBookingRQ($insuranceBookingRQ);
    }
    /**
     * Get InsuranceBookingRQ value
     * @return \StructType\JP_InsuranceBooking|null
     */
    public function getInsuranceBookingRQ()
    {
        return $this->InsuranceBookingRQ;
    }
    /**
     * Set InsuranceBookingRQ value
     * @param \StructType\JP_InsuranceBooking $insuranceBookingRQ
     * @return \StructType\InsuranceBooking
     */
    public function setInsuranceBookingRQ(\StructType\JP_InsuranceBooking $insuranceBookingRQ = null)
    {
        $this->InsuranceBookingRQ = $insuranceBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsuranceBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
